#include "ReferenceCounter.h"

namespace Framework
{
    class Model3D;

    class Model3DIterator : public virtual ReferenceCounter
    {
    public:
        virtual Model3D* getNext() = 0;
        virtual bool hasNext() = 0;
    };

    class Model3DCollection : public virtual ReferenceCounter
    {
    public:
        virtual Model3DIterator* getIterator() = 0;
    };
}